PCI_FIND_NEXT_EXT_CA(9)

NAME
pci_find_next_ext_capability - Find an extended capability

SYNOPSIS

int pci_find_next_ext_capability(struct pci_dev * dev, int start, int cap);

ARGUMENTS

dev
    PCI device to query

start
    address at which to start looking (0 to start at beginning of list)

cap
    capability code

DESCRIPTION

Returns the address of the next matching extended capability structure within the device's PCI configuration space or 0 if the device does not support it. Some capabilities can occur several times, e.g., the vendor-specific capability, and this provides a way to find them all.

COPYRIGHT